#include <amxmodx>
#include <hamsandwich>

#define MAX_PLAYERS 32
#define ADMIN_LEVEL ADMIN_LEVEL_H

new PLUGIN [] = "Admin Life"
new VERSION [] = "1.0"
new AUTHOR [] = "M1R0n,M'"

new g_iDeaths[MAX_PLAYERS + 1];
new g_iMaxPlayers;

new g_AdminLife;
new g_AdminLife_Num;

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR);

        register_dictionary("adminlife.txt");

        register_event("HLTV", "Event_NewRound", "a", "1=0", "2=0");

	RegisterHam(Ham_Killed, "player", "Event_Death", 1);

	g_AdminLife = register_cvar( "amx_adminlife", "1" );
        g_AdminLife_Num = register_cvar( "amx_adminlife_num", "1" );

        g_iMaxPlayers = get_maxplayers();
}

public Event_NewRound()
{
        for (new id = 1; id <= g_iMaxPlayers; id++)
        {
                if (!is_user_connected(id))
                        continue;

                g_iDeaths[id] = 0;
        }
}

public Event_Death(iVictim)
{
         if (!get_pcvar_num(g_AdminLife))
                  return HAM_IGNORED
 
         g_iDeaths[iVictim]++;
         if (g_iDeaths[iVictim] <= get_pcvar_num(g_AdminLife_Num) && (get_user_flags(iVictim) & ADMIN_LEVEL) )
         {
                  client_print(iVictim, print_chat, "%L", LANG_SERVER, "waitseconds");
                  set_task (2.0 , "AdminRespawn", iVictim)
         }
 
         return HAM_IGNORED
}  

public AdminRespawn(id)
{

	ExecuteHam(Ham_CS_RoundRespawn,id);
	client_print(id, print_chat, "%L", LANG_SERVER, "respawn");
}
